linux: 2.6.32-53.115 -proposed tracker

Bug #1242800 reported by Steve Conklin on 2013-10-21
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Certification-testing
Medium
Brendan Donegan
Prepare-package
Medium
Steve Conklin
Prepare-package-lbm
Medium
Steve Conklin
Prepare-package-meta
Medium
Steve Conklin
Prepare-package-ports-meta
Medium
Steve Conklin
Promote-to-proposed
Medium
Adam Conrad
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Para Siva
Security-signoff
Medium
John Johansen
Verification-testing
Medium
Canonical Kernel Team
linux (Ubuntu)
Undecided
Unassigned
Lucid
Medium
Unassigned

Bug Description

This bug is for tracking the 2.6.32-53.115 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Monday, 21. October 2013 17:30 UTC
kernel-stable-Prepare-package-end:Wednesday, 23. October 2013 21:04 UTC
kernel-stable-Promote-to-proposed-start:Wednesday, 23. October 2013 21:04 UTC
kernel-stable-Promote-to-proposed-end:Thursday, 24. October 2013 04:01 UTC
kernel-stable-Verification-testing-start:Thursday, 24. October 2013 05:03 UTC
kernel-stable-Certification-testing-start:Thursday, 24. October 2013 05:03 UTC
kernel-stable-Security-signoff-start:Thursday, 24. October 2013 05:03 UTC
kernel-stable-Regression-testing-start:Thursday, 24. October 2013 05:03 UTC
kernel-stable-Regression-testing-end:Friday, 25. October 2013 13:01 UTC
kernel-stable-Security-signoff-end:Monday, 28. October 2013 22:02 UTC
kernel-stable-Certification-testing-end:Monday, 04. November 2013 13:00 UTC
kernel-stable-Promote-to-updates-start:Tuesday, 05. November 2013 18:00 UTC
kernel-stable-Promote-to-updates-end:Friday, 08. November 2013 01:00 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Friday, 08. November 2013 02:02 UTC

Steve Conklin (sconklin) on 2013-10-21
tags: added: kernel-release-tracking-bug
tags: added: lucid
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux (Ubuntu):
status: New → Invalid
Changed in linux (Ubuntu Lucid):
importance: Undecided → Medium

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-ec2 - bug 1243918

description: updated
Adam Conrad (adconrad) wrote :

Copied to -proposed and overrides adjusted.

Brad Figg (brad-figg) on 2013-10-24
description: updated
Brad Figg (brad-figg) on 2013-10-24
description: updated
Para Siva (psivaa) on 2013-10-25
tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2013-10-25
description: updated
John Johansen (jjohansen) wrote :

Looks good

Brad Figg (brad-figg) on 2013-10-28
description: updated

Hardware Certification have begun testing this -proposed kernel.

Hardware Certification have completed testing of this -proposed kernel. No regressions were observed and results are available here: http://people.canonical.com/~hwcert/sru-testing/lucid/2.6.32-53.115/lucid-proposed.html

tags: added: certification-testing-passed
Brad Figg (brad-figg) on 2013-11-04
description: updated
Brad Figg (brad-figg) on 2013-11-05
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.32-53.115

---------------
linux (2.6.32-53.115) lucid; urgency=low

  [Steve Conklin]

  * Release Tracking Bug
    - LP: #1242800

  [ Upstream Kernel Changes ]

  * HID: provide a helper for validating hid reports
    - LP: #1220190
    - CVE-2013-2889
  * HID: zeroplus: validate output report details
    - LP: #1220190
    - CVE-2013-2889
  * HID: LG: validate HID output report details
    - LP: #1220190
    - CVE-2013-2893
  * cciss: fix info leak in cciss_ioctl32_passthru()
    - LP: #1188355
    - CVE-2013-2147
  * cpqarray: fix info leak in ida_locked_ioctl()
    - LP: #1188355
    - CVE-2013-2147
  * HID: add usage_index in struct hid_usage.
    - LP: #1220205
    - CVE-CVE-2013-2897
  * HID: validate feature and input report details
    - LP: #1220205
    - CVE-2013-2897
  * dm snapshot: fix data corruption
    - LP: #1241769
    - CVE-2013-4299
 -- Steve Conklin <email address hidden> Mon, 21 Oct 2013 12:34:57 -0600

Changed in linux (Ubuntu Lucid):
status: New → Fix Released
Brad Figg (brad-figg) on 2013-11-08
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers